darcs

Safe Haskell | Safe-Infered

Darcs.Resolution

# Documentation

standardResolution :: RepoPatch p => FL p -> Sealed (FL (PrimOf p))

externalResolution

Arguments

:: forall p . (RepoPatch p, ApplyState p ~ Tree) |
=> Tree IO |
-> String | external merge tool command
-> [DarcsFlag] | command line arguments
-> FL (PrimOf p) |
-> FL (PrimOf p) |
-> FL p |
-> IO (Sealed (FL (PrimOf p))) |

patchsetConflictResolutions :: RepoPatch p => PatchSet p -> Sealed (FL (PrimOf p))